Bug 108719 - mozilla 1.4.1-15 doesn't start if you use russian locale (ru_RU.UTF-8 for example).
Summary: mozilla 1.4.1-15 doesn't start if you use russian locale (ru_RU.UTF-8 for exa...
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 15:19 UTC by Den
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 19:41:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Den 2003-10-31 15:19:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031029

Description of problem:
mozilla 1.4.1-15 doesn't start if you use russian locale (ru_RU.UTF-8 for example).
No error message shown but you can start mozilla with 'mozilla -mail' command.
After examination of mozilla start script i found what this errors apears also
in all other locales which doesn't have localization files.

Version-Release number of selected component (if applicable):
1.4.1-15

How reproducible:
Always

Steps to Reproduce:
1. Start mozilla 1.4.1-15 if you use russian locale
2.
3.
    

Additional info:

This is steps to add russian locale:

this is differences between my and your .spec

--- /usr/src/redhat/SPECS/mozilla.spec  2003-10-27 21:18:00.000000000 +0300
+++ /home/den/rpm/SPECS/mozilla.spec    2003-10-31 17:28:23.000000000 +0300
@@ -719,6 +719,8 @@aim-0.71-xinput.patch):'
 %{_libdir}/mozilla-%{version}/chrome/ja-JP-unix.jar
 %{_libdir}/mozilla-%{version}/chrome/ko-KR.jar
 %{_libdir}/mozilla-%{version}/chrome/ko-KR-unix.jar):'
+%{_libdir}/mozilla-%{version}/chrome/ru-RU.jar
+%{_libdir}/mozilla-%{version}/chrome/ru-RU-unix.jar
 %{_libdir}/mozilla-%{version}/chrome/lang/lang-de-DE.jar.txtols/oscar/oscar.c.r
%{_libdir}/mozilla-%{version}/chrome/lang/lang-de-DE-unix.jar.txt
 %{_libdir}/mozilla-%{version}/chrome/lang/lang-fr-FR.jar.txt
@@ -737,6 +739,8 @@
 %{_libdir}/mozilla-%{version}/chrome/lang/lang-ko-KR-unix.jar.txt
 %{_libdir}/mozilla-%{version}/chrome/lang/lang-pt-BR.jar.txt
 %{_libdir}/mozilla-%{version}/chrome/lang/lang-pt-BR-unix.jar.txt
+%{_libdir}/mozilla-%{version}/chrome/lang/lang-ru-RU.jar.txt
+%{_libdir}/mozilla-%{version}/chrome/lang/lang-ru-RU-unix.jar.txt
 %{_libdir}/mozilla-%{version}/chrome/pt-BR.jar
 %{_libdir}/mozilla-%{version}/chrome/pt-BR-unix.jar
 %{_libdir}/mozilla-%{version}/chrome/zh-CN.jar

And this file is russian part of localisation files:
http://ns.tourinfo.ru:8111/mozilla-1.4-0.3-langpacks.tar.bz2

Comment 1 Bill Nottingham 2006-08-08 02:03:30 UTC
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux.
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more
timely manner. However, we do want to make sure that important 
don't slip through the cracks. If these issues are still present
in a current release, such as Fedora Core 5, please move these
bugs to that product and version. Note that any remaining Red Hat
Raw Hide bugs will be closed as 'CANTFIX' on September 30, 2006.
Thanks again for your help.


Comment 2 Bill Nottingham 2006-10-18 19:41:54 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.